# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Test/Inline.pm) perl(base.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    WWW-Mechanize-FormFiller
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %{upstream_version}
Release:    alt1_3

Summary:    WWW::Mechanize::FormFiller - framework to automate HTML forms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data/Random.pm)
BuildRequires: perl(ExtUtils/MakeMaker.pm)
BuildRequires: perl(HTML/Form.pm)
BuildRequires: perl(Test/More.pm)
BuildRequires: perl-libwww
BuildArch:  noarch
Source44: import.info

%description
WWW::Mechanize::FormFiller and its submodules are useful to automate
web forms. The FormFiller object is filled with a set of rules how to
fill out HTML form field and then let loose on a HTML form. It fills
in the fields according to the preset rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# pod2test is gone in perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml  README
%dir %{perl_vendor_privlib}/WWW/Mechanize/FormFiller
%dir %{perl_vendor_privlib}/WWW/Mechanize/FormFiller/Value
%dir %{perl_vendor_privlib}/WWW/Mechanize/FormFiller/Value/Random
%{perl_vendor_privlib}/WWW/Mechanize/FormFiller.pm
%{perl_vendor_privlib}/WWW/Mechanize/FormFiller/*.pm
%{perl_vendor_privlib}/WWW/Mechanize/FormFiller/Value/*.pm
%{perl_vendor_privlib}/WWW/Mechanize/FormFiller/Value/Random/*.pm


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1_3
- update by mgaimport

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1_2
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1_1
- update by mgaimport

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_5
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_4
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_3
- update by mgaimport

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt2_2
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.11-alt2_1
- rebuild to get rid of unmets

* Thu Feb 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_1
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_4
- mga update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_3
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_1
- converted for ALT Linux by srpmconvert tools

